tracker-store(1)

NAME
tracker-store - database indexer and query daemon

SYNOPSIS
tracker-store [OPTION...]

DESCRIPTION
tracker-store provides both a powerful database daemon which allows clients to query or update their data using the highly descriptive SPARQL language.

tracker-store does not do any file crawling or any mining of data itself, instead other processes do that while tracker-store serves as a daemon waiting for such requests from application miners like tracker-miner-fs.

OPTIONS

-?, --help
    A brief help message including some examples.

-V, --version
    Returns the version of this binary.

-v, --verbosity={0|1|2|3}
    Sets the logging level, 0=errors, 1=minimal, 2=detailed, 3=debug.

-r, --force-reindex
    This forces tracker-store to remove databases and to recreate fresh databases ready for data insertion from the miners. For more information about the miners, see tracker-miner-fs.

-n, --readonly-mode
    This starts tracker-store in a mode which disables writing to the database. Only SPARQL read requests can be serviced if this option is used.

ENVIRONMENT

TRACKER_DB_ONTOLOGIES_DIR
    This is the directory which tracker uses to load the .ontology files from. If unset it will default to the correct place. This is used mainly for testing purposes.

TRACKER_LANGUAGE_STOP_WORDS_DIR
    This is the directory which tracker uses to load the stop words dictionaries from. If unset it will default to the correct place. This is used mainly for testing purposes.

TRACKER_STORE_MAX_TASK_TIME
    This is maximum time allowed for a process to finish before interruption happens. The actual moment of interruption depends also on the frequency of checks. The value 0 indicates no interruption. This environment variable is used mainly for testing purposes.

TRACKER_STORE_SELECT_CACHE_SIZE / TRACKER_STORE_UPDATE_CACHE_SIZE
    Tracker caches database statements which occur frequently to make subsequent repeat queries much faster. The cache size is set to 100 by default for each type (select and update queries). This must be at least 2 as a minimum, any less and a value of 3 is used instead. The number represents the number of cached statements to keep around. This environment variable is used mainly for testing purposes.

TRACKER_PRAGMAS_FILE
    Tracker has a fixed set of PRAGMA settings for creating its SQLite connection. With this environment variable pointing to a text file you can override these settings. The file is a \n separated list of SQLite queries to execute on any newly created SQLite connection in tracker-store.

TRACKER_DISABLE_MEEGOTOUCH_LOCALE
    If Tracker is compiled with meegotouch locale management support, setting this variable in the environment will disable retrieving the locale from GConf, and the standard locale settings will be used instead.

TRACKER_USE_LOG_FILES
    Don't just log to stdout and stderr, but to log files too which are kept in $HOME/.local/share/tracker/. This came into effect in 0.15.3 and 0.16.0. After this version of Tracker, logging to file (usually useful for debugging) can only be done by declaring this environment variable.

TRACKER_USE_CONFIG_FILES
    Don't use GSettings, instead use a config file similar to how settings were saved in 0.10.x. That is, a file which is much like an .ini file. These are saved to $HOME/.config/tracker/

NOTES
tracker-store is highly bound to the D-Bus freedesktop project. A D-Bus session is needed for all Tracker processes to communicate between each other. D-Bus is our acting IPC. See dbus-daemon(1) for more information.

SEE ALSO
tracker-applet(1), tracker-search-tool(1), tracker-search(1), tracker-tag(1), tracker-stats(1), tracker-services(1), tracker-info(1), tracker-control(1),

http://www.w3.org/TR/rdf-sparql-query/

dbus-daemon(1),

http://www.freedesktop.org/wiki/Software/dbus